CatalogSpecifications
List specifications
Lists specifications by cursor, with search, level, type, and repeated ID and key filters. A key matches the canonical key or any alias.
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Cursor from the previous response. Omit it on the first page.
search?string
Free-text search.
sortBy?string
Field to sort by.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
level?string
Value in
- "product"
- "variant"
- "store"
- "seller"
- "all"
type?string
Only this type.
Value in
- "input"
- "textArea"
- "select"
- "checkbox"
- "colorPicker"
- "datePicker"
- "timePicker"
- "dateTimePicker"
- "file"
- "number"
- "url"
ids?array<ResourceId>
Only these identifiers.
keys?array<string>
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/catalog/specifications" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "data": [ { "id": "7204558912004325220", "storeId": "7204558912004327977", "name": "Material", "key": "color", "aliases": [ "Material" ], "isMultiple": false, "isFilterable": false, "isSearchable": false, "order": 1, "status": "inactive", "type": "input", "level": "product", "values": [ { "id": "7204558912004325220", "value": "Azul", "name": "Material", "isDefault": true, "order": 1, "color": "Azul", "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp" } ], "metadata": {}, "createdOn": "2026-09-28T15:30:00Z" } ], "hasNextPage": true, "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ", "totalCount": 24}